<div class="card border-primary">
    <div class="card-body">
        <h5 class="card-title">Return to Supplier</h5>
        <!-- SEARCH -->
        <div>
            <form>
                <div class="row">
                    <div class="col-md-3 mb-3">
                        <label for="brandCodeInput">Return no</label>
                        <input type="text" class="form-control" id="search_no" [(ngModel)]='searchTerm.no'
                            name="searchCode" placeholder="Enter No">
                    </div>
                    <div class="col-md-3 mb-3">
                        <label for="brandNameInput">Name</label>
                        <input type="text" class="form-control" id="search_customer" [(ngModel)]='searchTerm.name'
                            name="searchName" placeholder="Enter Name">
                    </div>
                </div>
                <div class="btn-group" role="group">
                    <button type="button" (click)="onFilter()" class="btn mr-2 btn-outline-success btn-sm">Search <i
                            class="fa fa-search fa-lg"></i></button>
                    <button type="button" (click)="resetFilter()" class="btn mr-2 btn-outline-danger btn-sm">Reset <i
                            class="fa fa-refresh fa-lg"></i></button>
                    <button type="button" class="btn btn-outline-primary btn-sm" (click)="addNew()">Addnew
                        <i class="fa fa-plus-circle fa-lg"></i></button>
                </div>
            </form>
        </div
        >
        <br>
        <div style="height:400px; padding: 15px 15px 15px 15px; ">
            <table class="table table-sm table-hover table-striped">
                <thead>
                    <tr>
                        <th></th>
                        <th scope="col">Return No</th>
                        <th scope="col" class='centerText' >Date</th>
                        <th scope="col">Supplier</th>
                        <th scope="col" class='centerText' >Status</th>
                        <th scope="col" class='rightText' >Total</th>
                    </tr>
                </thead>
                <tbody>
                    <tr *ngFor="let returnReceive of returnReceives">
                        <td>
                            <button type="button" (click)="open(returnReceive)" class="btn btn-outline-warning btn-sm">
                                <i class="fa fa-list fa-lg"></i>
                            </button>
                        </td>
                        <td>{{returnReceive.returnNo}}</td>
                        <td class='centerText' >{{returnReceive.returnDate | date:'dd-MMM-yyyy'}}</td>
                        <td>{{returnReceive.supplier.name }}</td>
                        <td class='centerText' >{{getStatus(returnReceive.status)}} </td>
                        <td class='rightText'>{{returnReceive.grandTotal | number:'0.0-0' }}</td>
                    </tr>
                </tbody>
            </table>
        </div>
        <ngb-pagination size="sm" [collectionSize]="totalData" [(page)]="curPage" [maxSize]="totalRecord"
            (pageChange)="loadPage()" [boundaryLinks]="true">
        </ngb-pagination>
    </div>

</div>